# src/Algorithm/LinearSolvers/hsl_ma77d.h File Reference

Go to the source code of this file.

## Classes
struct | ma77_control_d
struct | ma77_info_d
## Defines
#define | ma77_control ma77_control_d
#define | ma77_info ma77_info_d
#define | ma77_default_control ma77_default_control_d
#define | ma77_open_nelt ma77_open_nelt_d
#define | ma77_open ma77_open_d
#define | ma77_input_vars ma77_input_vars_d
#define | ma77_input_reals ma77_input_reals_d
#define | ma77_analyse ma77_analyse_d
#define | ma77_factor ma77_factor_d
#define | ma77_factor_solve ma77_factor_solve_d
#define | ma77_solve ma77_solve_d
#define | ma77_resid ma77_resid_d
#define | ma77_scale ma77_scale_d
#define | ma77_enquire_posdef ma77_enquire_posdef_d
#define | ma77_enquire_indef ma77_enquire_indef_d
#define | ma77_alter ma77_alter_d
#define | ma77_restart ma77_restart_d
#define | ma77_finalise ma77_finalise_d
#define | ma77_solve_fredholm ma77_solve_fredholm_d
#define | ma77_lmultiply ma77_lmultiply_d
## Typedefs
typedef double | ma77pkgtype_d_
## Functions
void | ma77_default_control_d (struct ma77_control_d *control)
void | ma77_open_nelt (const int n, const char *fname1, const char *fname2, const char *fname3, const char *fname4, void **keep, const struct ma77_control_d *control, struct ma77_info_d *info, const int nelt)
void | ma77_open_d (const int n, const char *fname1, const char *fname2, const char *fname3, const char *fname4, void **keep, const struct ma77_control_d *control, struct ma77_info_d *info)
void | ma77_input_vars (const int idx, const int nvar, const int list[], void **keep, const struct ma77_control_d *control, struct ma77_info_d *info)
void | ma77_input_reals_d (const int idx, const int length, const ma77pkgtype_d_ reals[], void **keep, const struct ma77_control_d *control, struct ma77_info_d *info)
void | ma77_analyse (const int order[], void **keep, const struct ma77_control_d *control, struct ma77_info_d *info)
void | ma77_factor_d (const int posdef, void **keep, const struct ma77_control_d *control, struct ma77_info_d *info, const ma77pkgtype_d_ *scale)
void | ma77_factor_solve_d (const int posdef, void **keep, const struct ma77_control_d *control, struct ma77_info_d *info, const ma77pkgtype_d_ *scale, const int nrhs, const int lx, ma77pkgtype_d_ rhs[])
void | ma77_solve_d (const int job, const int nrhs, const int lx, ma77pkgtype_d_ x[], void **keep, const struct ma77_control_d *control, struct ma77_info_d *info, const ma77pkgtype_d_ *scale)
void | ma77_resid_d (const int nrhs, const int lx, const ma77pkgtype_d_ x[], const int lresid, ma77pkgtype_d_ resid[], void **keep, const struct ma77_control_d *control, struct ma77_info_d *info, ma77pkgtype_d_ *anorm_bnd)
void | ma77_scale_d (ma77pkgtype_d_ scale[], void **keep, const struct ma77_control_d *control, struct ma77_info_d *info, ma77pkgtype_d_ *anorm)
void | ma77_enquire_posdef_d (ma77pkgtype_d_ d[], void **keep, const struct ma77_control_d *control, struct ma77_info_d *info)
void | ma77_enquire_indef_d (int piv_order[], ma77pkgtype_d_ d[], void **keep, const struct ma77_control_d *control, struct ma77_info_d *info)
void | ma77_alter_d (const ma77pkgtype_d_ d[], void **keep, const struct ma77_control_d *control, struct ma77_info_d *info)
void | ma77_restart_d (const char *restart_file, const char *fname1, const char *fname2, const char *fname3, const char *fname4, void **keep, const struct ma77_control_d *control, struct ma77_info_d *info)
void | ma77_solve_fredholm_d (int nrhs, int flag_out[], int lx, ma77pkgtype_d_ x[], void **keep, const struct ma77_control_d *control, struct ma77_info_d *info, const ma77pkgtype_d_ *scale)
void | ma77_lmultiply_d (int trans, int k, int lx, ma77pkgtype_d_ x[], int ly, ma77pkgtype_d_ y[], void **keep, const struct ma77_control_d *control, struct ma77_info_d *info, const ma77pkgtype_d_ *scale)
void | ma77_finalise_d (void **keep, const struct ma77_control_d *control, struct ma77_info_d *info)

## Define Documentation

#define ma77_control ma77_control_d

Definition at line 13 of file hsl_ma77d.h.

#define ma77_info ma77_info_d

Definition at line 14 of file hsl_ma77d.h.

#define ma77_default_control ma77_default_control_d

Definition at line 15 of file hsl_ma77d.h.

#define ma77_open_nelt ma77_open_nelt_d

Definition at line 16 of file hsl_ma77d.h.

#define ma77_open ma77_open_d

Definition at line 17 of file hsl_ma77d.h.

#define ma77_input_vars ma77_input_vars_d

Definition at line 18 of file hsl_ma77d.h.

#define ma77_input_reals ma77_input_reals_d

Definition at line 19 of file hsl_ma77d.h.

#define ma77_analyse ma77_analyse_d

Definition at line 20 of file hsl_ma77d.h.

#define ma77_factor ma77_factor_d

Definition at line 21 of file hsl_ma77d.h.

#define ma77_factor_solve ma77_factor_solve_d

Definition at line 22 of file hsl_ma77d.h.

#define ma77_solve ma77_solve_d

Definition at line 23 of file hsl_ma77d.h.

#define ma77_resid ma77_resid_d

Definition at line 24 of file hsl_ma77d.h.

#define ma77_scale ma77_scale_d

Definition at line 25 of file hsl_ma77d.h.

#define ma77_enquire_posdef ma77_enquire_posdef_d

Definition at line 26 of file hsl_ma77d.h.

#define ma77_enquire_indef ma77_enquire_indef_d

Definition at line 27 of file hsl_ma77d.h.

#define ma77_alter ma77_alter_d

Definition at line 28 of file hsl_ma77d.h.

#define ma77_restart ma77_restart_d

Definition at line 29 of file hsl_ma77d.h.

#define ma77_finalise ma77_finalise_d

Definition at line 30 of file hsl_ma77d.h.

#define ma77_solve_fredholm ma77_solve_fredholm_d

Definition at line 31 of file hsl_ma77d.h.

#define ma77_lmultiply ma77_lmultiply_d

Definition at line 32 of file hsl_ma77d.h.

## Typedef Documentation

typedef double ma77pkgtype_d_

Definition at line 35 of file hsl_ma77d.h.

## Function Documentation

void ma77_default_control_d | ( | struct ma77_control_d * | control | ) |

void ma77_open_nelt | ( | const int | n,
|  | const char * | fname1,
|  | const char * | fname2,
|  | const char * | fname3,
|  | const char * | fname4,
|  | void ** | keep,
|  | const struct ma77_control_d * | control,
|  | struct ma77_info_d * | info,
|  | const int | nelt |
| ) |  |  |

void ma77_open_d | ( | const int | n,
|  | const char * | fname1,
|  | const char * | fname2,
|  | const char * | fname3,
|  | const char * | fname4,
|  | void ** | keep,
|  | const struct ma77_control_d * | control,
|  | struct ma77_info_d * | info |
| ) |  |  |

void ma77_input_vars | ( | const int | idx,
|  | const int | nvar,
|  | const int | list[],
|  | void ** | keep,
|  | const struct ma77_control_d * | control,
|  | struct ma77_info_d * | info |
| ) |  |  |

void ma77_input_reals_d | ( | const int | idx,
|  | const int | length,
|  | const ma77pkgtype_d_ | reals[],
|  | void ** | keep,
|  | const struct ma77_control_d * | control,
|  | struct ma77_info_d * | info |
| ) |  |  |

void ma77_analyse | ( | const int | order[],
|  | void ** | keep,
|  | const struct ma77_control_d * | control,
|  | struct ma77_info_d * | info |
| ) |  |  |

void ma77_factor_d | ( | const int | posdef,
|  | void ** | keep,
|  | const struct ma77_control_d * | control,
|  | struct ma77_info_d * | info,
|  | const ma77pkgtype_d_ * | scale |
| ) |  |  |

void ma77_factor_solve_d | ( | const int | posdef,
|  | void ** | keep,
|  | const struct ma77_control_d * | control,
|  | struct ma77_info_d * | info,
|  | const ma77pkgtype_d_ * | scale,
|  | const int | nrhs,
|  | const int | lx,
|  | ma77pkgtype_d_ | rhs[] |
| ) |  |  |

void ma77_solve_d | ( | const int | job,
|  | const int | nrhs,
|  | const int | lx,
|  | ma77pkgtype_d_ | x[],
|  | void ** | keep,
|  | const struct ma77_control_d * | control,
|  | struct ma77_info_d * | info,
|  | const ma77pkgtype_d_ * | scale |
| ) |  |  |

void ma77_resid_d | ( | const int | nrhs,
|  | const int | lx,
|  | const ma77pkgtype_d_ | x[],
|  | const int | lresid,
|  | ma77pkgtype_d_ | resid[],
|  | void ** | keep,
|  | const struct ma77_control_d * | control,
|  | struct ma77_info_d * | info,
|  | ma77pkgtype_d_ * | anorm_bnd |
| ) |  |  |

void ma77_scale_d | ( | ma77pkgtype_d_ | scale[],
|  | void ** | keep,
|  | const struct ma77_control_d * | control,
|  | struct ma77_info_d * | info,
|  | ma77pkgtype_d_ * | anorm |
| ) |  |  |

void ma77_enquire_posdef_d | ( | ma77pkgtype_d_ | d[],
|  | void ** | keep,
|  | const struct ma77_control_d * | control,
|  | struct ma77_info_d * | info |
| ) |  |  |

void ma77_enquire_indef_d | ( | int | piv_order[],
|  | ma77pkgtype_d_ | d[],
|  | void ** | keep,
|  | const struct ma77_control_d * | control,
|  | struct ma77_info_d * | info |
| ) |  |  |

void ma77_alter_d | ( | const ma77pkgtype_d_ | d[],
|  | void ** | keep,
|  | const struct ma77_control_d * | control,
|  | struct ma77_info_d * | info |
| ) |  |  |

void ma77_restart_d | ( | const char * | restart_file,
|  | const char * | fname1,
|  | const char * | fname2,
|  | const char * | fname3,
|  | const char * | fname4,
|  | void ** | keep,
|  | const struct ma77_control_d * | control,
|  | struct ma77_info_d * | info |
| ) |  |  |

void ma77_solve_fredholm_d | ( | int | nrhs,
|  | int | flag_out[],
|  | int | lx,
|  | ma77pkgtype_d_ | x[],
|  | void ** | keep,
|  | const struct ma77_control_d * | control,
|  | struct ma77_info_d * | info,
|  | const ma77pkgtype_d_ * | scale |
| ) |  |  |

void ma77_lmultiply_d | ( | int | trans,
|  | int | k,
|  | int | lx,
|  | ma77pkgtype_d_ | x[],
|  | int | ly,
|  | ma77pkgtype_d_ | y[],
|  | void ** | keep,
|  | const struct ma77_control_d * | control,
|  | struct ma77_info_d * | info,
|  | const ma77pkgtype_d_ * | scale |
| ) |  |  |

void ma77_finalise_d | ( | void ** | keep,
|  | const struct ma77_control_d * | control,
|  | struct ma77_info_d * | info |
| ) |  |  |

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Defines